Subject: Re: bug#30851: [PATCH] Add SuperCollider, related changes

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 23 Mar 2018 08:02:55 -0400

Hello!

ng0 <[email-masked]> writes:

> Ludovic Courtès transcribed 454 bytes:
>> ng0 <[email-masked]> skribis:
>> 
>> > Ludovic Courtès transcribed 46 bytes:
>> >> Hi Maxim,
>> >> 
>> >> Pushed, thanks!
>> >> 
>> >> Ludo’.
>> >

Thanks for pushing it!

>> > Should we still split it into Qt and non-Qt then later on as I
>> > wrote?
>> 
>> Oh sorry for overlooking that.
>
> No problem.
>
>> I think you’re right, yes.  That could be done either with a separate
>> output or with a separate package, whichever is the most convenient.
>> 
>> Could you look into it, Maxim or ng0?
>> 
>> Thanks,
>> Ludo’.
>
> Splitting is what works best here in my opinion. You could take a look at the
> open patch for adding qtoctave. People who have to build the variant without
> Qt don't have to pull in Qt only to throw it into an output they don't want.

For splitting to be "cheaper" (in terms of space and computation) than
using a separate output, the origin sources would have to be split into
core/sc-ide parts and be able to build the resulting parts distinctly.

I have to check, but I don't expect the IDE to be buildable reusing
supercollider-core as an input; I'd expect it to depend on many source
files in the project. If so, I'll opt for multiple outputs to spare the
build farm from recompiling/testing the same thing in double, otherwise
I'll opt for splitting.

This might take some time to happen as I have another patch set which is
of higher priority, so anyone should feel free to try beating me to it.

Thanks for reviewing!

Maxim